package com.nh.farm.cloud.basic.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.Column;
import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;
import javax.persistence.Transient;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ToString
@EntityListeners(AuditingEntityListener.class)
@MappedSuperclass
public class BaseEntity implements Serializable {
	private static final long serialVersionUID = 4549208998135217511L;

    /** 数据来源，0正常录入 1导入数据  2跑批数据  3 迁移数据  默认为0**/
    @Column(name = "data_flag")
    @TableField(fill = FieldFill.INSERT)
    private String dataFlag;

    /** 删除状态， 0删除  1 未删除  默认为1 **/
    @Column(name = "deleted")
    @TableField(fill = FieldFill.INSERT)
    private String deleted;
    /** 创建时间 */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATED_TIME",fill = FieldFill.INSERT)
    @Column(name = "CREATED_TIME")
    private LocalDateTime createTime;

    /** 更新时间 */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Transient
    @TableField(fill = FieldFill.INSERT_UPDATE, update="%s+1")
    private Integer version;

    @TableField(value = "CREATED_BY",fill = FieldFill.INSERT)
    @Column(name = "CREATED_BY")
    private String createBy;

    /** 更新者的id */
    @Column(name = "UPDATE_BY")
    @TableField(value = "UPDATE_BY",fill = FieldFill.INSERT_UPDATE)
    private String updateBy;


}
