package com.nh.farm.cloud.basic.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import javax.persistence.EntityListeners;
import javax.persistence.MappedSuperclass;
import javax.persistence.Transient;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ToString
@EntityListeners(AuditingEntityListener.class)
@MappedSuperclass
public class BaseEntityUseMp implements Serializable {

    /** 数据来源，0正常录入 1导入数据  2跑批数据  3 迁移数据  默认为0**/
    @TableField(fill = FieldFill.INSERT, value = "DATA_FLAG")
    private String dataFlag;

    /** 删除状态， 0删除  1 未删除  默认为1 **/
    @TableField(fill = FieldFill.INSERT, value = "DELETED")
    private String deleted;

    @Transient
    @TableField(fill = FieldFill.INSERT_UPDATE, update="%s+1", value = "VERSION")
    private Integer version;

    /** 创建时间 */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(fill = FieldFill.INSERT, value = "CREATED_TIME")
    private LocalDateTime createTime;

    /** 更新时间 */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(fill = FieldFill.INSERT, value = "CREATED_BY")
    private String createBy;

    /** 更新者的id */
    @TableField(value = "UPDATE_BY",fill = FieldFill.INSERT_UPDATE)
    private String updateBy;

    @TableField(fill = FieldFill.INSERT, value = "CREATED_BY_NAME")
    private String createByName;

    /** 更新者的id */
    @TableField(fill = FieldFill.INSERT_UPDATE, value = "UPDATE_BY_NAME")
    private String updateByName;


}
