package com.nh.farm.cloud.basic.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * 用户信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LoginUser implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 用户唯一标识
     */
    private String token;

    /**
     * 用户名id
     */
    private String kid;

    /**
     * 用户名
     */
    private String username;

    /**
     * 用户级别
     */
    private Integer bankLevel;

    /**
     * 登录时间
     */
    private Long loginTime;

    /**
     * 过期时间
     */
    private Long expireTime;

    /**
     * 登录IP地址
     */
    private String ipaddr;

    /**
     * 登录地点
     */
    private String loginLocation;

    /**
     * 浏览器类型
     */
    private String browser;

    /**
     * 操作系统
     */
    private String os;
    /**
     * 使用端 APP PC
     */
    private String useSide;
    /**
     * 权限列表
     */
    private Set<String> permissions;

    /**
     * 用户信息
     */
    private UserEntity sysUser;


    private List<SysUserRoleEntity> roleKids;


    public LoginUser(UserEntity user,Integer bankLevel, Set<String> permissions,List<SysUserRoleEntity> roleKids) {
        this.sysUser = user;
        this.bankLevel = bankLevel;
        this.permissions = permissions;
        this.roleKids = roleKids;
    }
}
