package com.nh.farm.cloud.basic.entity;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.nh.fk.common.base.dto.BaseQuery;
import com.nh.fk.common.base.ne.NeSort;
import com.nh.fk.common.util.ChkUtil;
import lombok.Data;
import org.springframework.data.domain.Sort;

@Data
public class PageQuery implements BaseQuery {
    private Integer limit = 2;
    private Integer page = 1;
    private String sort;

    public Sort getSorted() {
        if (ChkUtil.isNotNull(this.sort)) {
            JSONArray sortArray = JSONArray.parseArray(this.sort);
            if (sortArray != null && sortArray.size() > 0) {
                JSONObject sorter = sortArray.getJSONObject(0);
                String porterty = sorter.getString("property");
                String directionStr = sorter.getString("direction");
                Sort.Direction direction = Sort.Direction.fromString(directionStr);
                return Sort.by(direction, new String[]{porterty});
            }
        }

        return null;
    }

    public NeSort getSort() {
        if (ChkUtil.isNotNull(this.sort)) {
            JSONArray sortArray = JSONArray.parseArray(this.sort);
            if (sortArray != null && sortArray.size() > 0) {
                JSONObject sorter = sortArray.getJSONObject(0);
                String porterty = sorter.getString("property");
                String direction = sorter.getString("direction");
                NeSort neSort = new NeSort(porterty, direction);
                return neSort;
            }
        }

        return null;
    }

    public PageQuery() {
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        if(null == limit){
            limit = 2;
        }
        this.limit = limit;
    }

    public Integer getPage() {
        if(null == page){
            page = 1;
        }
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }


}
