package com.nh.farm.cloud.basic.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * @author jueLun
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserEntity  extends BaseEntity implements Serializable {

    private static final long serialVersionUID = -8760839825144798347L;
    private String kid;
    /**用户名**/
    private String username;
    /**用户昵称**/
    private String nickName;
    /**机构号**/
    private String bankCode;
    /**密码**/
    private String password;
    /**是否是管理员 1是 0否 **/
    private Boolean isAdmin;
    /**手机号 **/
    private String phone;
    /**启用禁用 **/
    private Boolean isEnable;
    /**最后修改密码的时间**/
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updatePwdDate;
    /**头像地址**/
    private String avatar;
    /**备注**/
    private String remark;

    /**机构名称**/
    private String bankName;


}