package com.nh.farm.cloud.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 问题反馈明细
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class SaleFeedbackDetailDto implements Serializable {

    private String kid;

    /**
     * 禅道BUG的ID
     */
    private String bugId;

    /**
     * 状态：1处理中,2质检中,3试运行,4已处理
     */
    private String status;

    /**
     * 进度
     */
    private String schedule;

    /**
     * 操作时间
     */
    private Date operateDate;

    /**
     * 操作描述
     */
    private String operateDesc;

}
