package com.nh.farm.cloud.business.domain.dto;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.poi.ss.formula.functions.T;

import java.io.Serializable;

/**
 * @description: 问题反馈基础信息
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class SaleFeedbackInfoDto extends Page<T> implements Serializable {

    private String kid;

    /**
     * 机构号
     */
    private String bankCode;

    /**
     * 组织机构名称
     */
    private String bankName;

    /**
     * 系统名称
     */
    private String systemName;

    /**
     * 问题描述
     */
    private String problemDescription;

    /**
     * 附件
     */
    private String files;

    /**
     * 状态：0未提交,1处理中,2质检中,3试运行,4已处理
     */
    private Integer status;

}
