package com.nh.farm.cloud.business.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description: 满意度调查配置
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SaleSatisfactionBasicDto implements Serializable {

    private String kid;

    /**
     * 机构号
     */
    private String bankCode;

    /**
     * 组织机构名称
     */
    private String bankName;

    /**
     * 上层节点ID
     */
    private String topId;

    /**
     * 满意度调查名称/调查内容/考评指标
     */
    private String name;

    /**
     * 层级：0-满意度调查名称；1-调查内容；2-考评指标
     */
    private Integer satisfactionLevel;

    /**
     * 满意区间
     */
    private Integer upperVal1;

    /**
     * 满意区间
     */
    private Integer upperVal2;

    /**
     * 一般区间
     */
    private Integer middleVal1;

    /**
     * 一般区间
     */
    private Integer middleVal2;

    /**
     * 不满意区间
     */
    private Integer lowerVal1;

    /**
     * 不满意区间
     */
    private Integer lowerVal2;

    /**
     * 总值
     */
    private Integer totalVal;

    /**
     * 结果
     */
    private String result;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime = LocalDateTime.now();

    /**
     * 得分
     */
    private Integer score;

    List<SaleSatisfactionBasicDto> detail;

}
