package com.nh.farm.cloud.business.domain.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 满意度调查填写-基本信息
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class SaleSatisfactionInfoDto implements Serializable {

    private String kid;

    /**
     * 机构号
     */
    private String bankCode;

    /**
     * 组织机构名称
     */
    private String bankName;

    /**
     * 满意度调查配置ID
     */
    private String satisfactionBasicId;

    /**
     * 满意度调查配置名称
     */
    private String satisfactionBasicName;

    /**
     * 调查结果
     */
    private String result;

    private List<SaleSatisfactionDetailDto> detail;

}
