package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description: 投诉建议
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "SALE_COMPLAIN_INFO")
public class SaleComplainInfoPo implements Serializable {

    @TableId(value = "KID", type = IdType.ASSIGN_UUID)
    private String kid;

    /**
     * 机构号
     */
    @TableField(value = "BANK_CODE")
    private String bankCode;

    /**
     * 组织机构名称
     */
    @TableField(value = "BANK_NAME")
    private String bankName;

    /**
     * 项目ID
     */
    @TableField(value = "PROJECT_ID")
    private String projectId;

    /**
     * 项目名称
     */
    @TableField(value = "PROJECT_NAME")
    private String projectName;

    /**
     * 销售经理
     */
    @TableField(value = "SALE_MANAGER_ID")
    private String saleManagerId;

    /**
     * 销售经理
     */
    @TableField(value = "SALE_MANAGER_NAME")
    private String saleManagerName;

    /**
     * 投诉内容
     */
    @TableField(value = "CONTENT")
    private String content;

    /**
     * 状态：未处理、已处理、已撤销
     */
    @TableField(value = "STATUS")
    private Integer status = 0;

    /**
     * 处理结果
     */
    @TableField(value = "RESULT")
    private String result;

    /**
     * 处理人
     */
    @TableField(value = "HANDLE_USER_ID")
    private String handleUserId;

    /**
     * 处理人
     */
    @TableField(value = "HANDLE_USER_NAME")
    private String handleUserName;

    /**
     * 处理时间
     */
    @TableField(value = "HANDLE_TIME")
    private LocalDateTime handleTime;

    /**
     * 附件
     */
    @TableField(value = "FILES")
    private String files;

    /**
     * 联系电话
     */
    @TableField(value = "PHONE")
    private String phone;

    /**
     * 提交人
     */
    @TableField(value = "SUBMITTER")
    private String submitter;

    /**
     * 提交时间
     */
    @TableField(value = "SUBMIT_TIME")
    private LocalDateTime submitTime;

    /**
     * 创建人
     */
    @TableField(value = "CREATED_BY")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(value = "CREATED_TIME")
    private LocalDateTime createdTime = LocalDateTime.now();

}
