package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 问题反馈明细
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "SALE_FEEDBACK_DETAIL")
public class SaleFeedbackDetailPo implements Serializable {

    @TableId(value = "KID", type = IdType.INPUT)
    private Integer kid;

    /**
     * 禅道BUG的ID
     */
    @TableField(value = "BUG_ID")
    private String bugId;

    /**
     * 状态：1处理中,2质检中,3试运行,4已处理
     */
    @TableField(value = "STATUS")
    private Integer status;

    /**
     * 进度
     */
    @TableField(value = "SCHEDULE")
    private Integer schedule;

    /**
     * 操作时间
     */
    @TableField(value = "OPERATE_DATE")
    private Date operateDate;

    /**
     * 操作描述
     */
    @TableField(value = "OPERATE_DESC")
    private String operateDesc;


}
