package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description: 问题反馈基础信息
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "SALE_FEEDBACK_INFO")
public class SaleFeedbackInfoPo implements Serializable {

    @TableId(value = "KID", type = IdType.ASSIGN_UUID)
    private String kid;

    /**
     * 禅道BUG的ID
     */
    @TableField(value = "BUG_ID")
    private String bugId;

    /**
     * 机构号
     */
    @TableField(value = "BANK_CODE")
    private String bankCode;

    /**
     * 组织机构名称
     */
    @TableField(value = "BANK_NAME")
    private String bankName;

    /**
     * 系统名称
     */
    @TableField(value = "SYSTEM_NAME")
    private String systemName;

    /**
     * 问题描述
     */
    @TableField(value = "PROBLEM_DESCRIPTION")
    private String problemDescription;

    /**
     * 进度
     */
    @TableField(value = "SCHEDULE")
    private Integer schedule;

    /**
     * 附件
     */
    @TableField(value = "FILES")
    private String files;

    /**
     * 状态：0未提交,1处理中,2质检中,3试运行,4已处理
     */
    @TableField(value = "STATUS")
    private Integer status;

    /**
     * 联系电话
     */
    @TableField(value = "PHONE")
    private String phone;

    /**
     * 提交人
     */
    @TableField(value = "SUBMITTER")
    private String submitter;

    /**
     * 提交时间
     */
    @TableField(value = "SUBMIT_TIME")
    private LocalDateTime submitTime;

    /**
     * 创建人
     */
    @TableField(value = "CREATED_BY")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(value = "CREATED_TIME")
    private LocalDateTime createdTime = LocalDateTime.now();

}
