package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description: 满意度调查配置
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "VW_ERP_SATISFACTION_BASIC")
public class SaleSatisfactionBasicPo implements Serializable {

    @TableId
    private String kid;

    /**
     * 上层节点ID
     */
    @TableField(value = "TOP_ID")
    private String topId;

    /**
     * 满意度调查名称/调查内容/考评指标
     */
    @TableField(value = "NAME")
    private String name;

    /**
     * 层级：0-满意度调查名称；1-调查内容；2-考评指标
     */
    @TableField(value = "SATISFACTION_LEVEL")
    private Integer satisfactionLevel;

    /**
     * 满意区间
     */
    @TableField(value = "UPPER_VAL1")
    private Integer upperVal1;

    /**
     * 满意区间
     */
    @TableField(value = "UPPER_VAL2")
    private Integer upperVal2;

    /**
     * 一般区间
     */
    @TableField(value = "MIDDLE_VAL1")
    private Integer middleVal1;

    /**
     * 一般区间
     */
    @TableField(value = "MIDDLE_VAL2")
    private Integer middleVal2;

    /**
     * 不满意区间
     */
    @TableField(value = "LOWER_VAL1")
    private Integer lowerVal1;

    /**
     * 不满意区间
     */
    @TableField(value = "LOWER_VAL2")
    private Integer lowerVal2;

    /**
     * 总值
     */
    @TableField(value = "TOTAL_VAL")
    private Integer totalVal;

    /**
     * 备注
     */
    @TableField(value = "REMARK")
    private String remark;

    /**
     * 排序
     */
    @TableField(value = "SORT")
    private Integer sort;

    /**
     * 创建时间
     */
    @TableField(value = "CREATED_TIME")
    private LocalDateTime createdTime = LocalDateTime.now();

    /**
     * 得分
     */
    @TableField(exist = false)
    private Integer score;

    /**
     * 结果
     */
    @TableField(exist = false)
    private String result;

    @TableField(exist = false)
    List<SaleSatisfactionBasicPo> detail;

}
