package com.nh.farm.cloud.business.domain.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @description: 满意度调查填写-基本信息
 * @author: suyun
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "SALE_SATISFACTION_INFO")
public class SaleSatisfactionInfoPo implements Serializable {

    @TableId(value = "KID", type = IdType.ASSIGN_UUID)
    private String kid;

    /**
     * 机构号
     */
    @TableField(value = "BANK_CODE")
    private String bankCode;

    /**
     * 组织机构名称
     */
    @TableField(value = "BANK_NAME")
    private String bankName;

    /**
     * 项目ID
     */
    @TableField(value = "PROJECT_ID")
    private String projectId;

    /**
     * 项目名称
     */
    @TableField(value = "PROJECT_NAME")
    private String projectName;

    /**
     * 销售经理
     */
    @TableField(value = "SALE_MANAGER_ID")
    private String saleManagerId;

    /**
     * 销售经理
     */
    @TableField(value = "SALE_MANAGER_NAME")
    private String saleManagerName;

    /**
     * 满意度调查配置ID
     */
    @TableField(value = "SATISFACTION_BASIC_ID")
    private String satisfactionBasicId;

    /**
     * 满意度调查配置名称
     */
    @TableField(value = "SATISFACTION_BASIC_NAME")
    private String satisfactionBasicName;

    /**
     * 总值
     */
    @TableField(value = "score")
    private Integer score;

    /**
     * 结果
     */
    @TableField(value = "RESULT")
    private String result;

    /**
     * 备注
     */
    @TableField(value = "REMARK")
    private String remark;

    /**
     * 联系电话
     */
    @TableField(value = "PHONE")
    private String phone;

    /**
     * 提交人
     */
    @TableField(value = "SUBMITTER")
    private String submitter;

    /**
     * 提交时间
     */
    @TableField(value = "SUBMIT_TIME")
    private LocalDateTime submitTime;

    /**
     * 创建人
     */
    @TableField(value = "CREATED_BY")
    private String createdBy;

    /**
     * 创建时间
     */
    @TableField(value = "CREATED_TIME")
    private LocalDateTime createdTime = LocalDateTime.now();

}
