package com.nh.farm.cloud.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleFeedbackDetailPo;
import com.nh.farm.cloud.business.mapper.SaleFeedbackDetailMapper;
import com.nh.farm.cloud.business.service.SaleFeedbackDetailService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 问题反馈明细
 * @author: suyun
 */
@Slf4j
@Service
public class SaleFeedbackDetailServiceImpl extends ServiceImpl<SaleFeedbackDetailMapper, SaleFeedbackDetailPo> implements SaleFeedbackDetailService {

    @Override
    public List<SaleFeedbackDetailPo> getDetail(SalePageQuery pageQuery) {
        String bugId = pageQuery.getBugId();

        QueryWrapper<SaleFeedbackDetailPo> wrapper = new QueryWrapper<>();
        wrapper.lambda().eq(SaleFeedbackDetailPo::getBugId, bugId);
        wrapper.lambda().in(SaleFeedbackDetailPo::getStatus, 1, 2, 3, 4);
        wrapper.lambda().orderByAsc(SaleFeedbackDetailPo::getStatus);

        List<SaleFeedbackDetailPo> list = this.baseMapper.selectList(wrapper);
        return list;
    }

}
