package com.nh.farm.cloud.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nh.farm.cloud.business.domain.dto.SalePageQuery;
import com.nh.farm.cloud.business.domain.po.SaleSatisfactionBasicPo;
import com.nh.farm.cloud.business.domain.po.SaleSatisfactionDetailPo;
import com.nh.farm.cloud.business.domain.po.SaleSatisfactionInfoPo;
import com.nh.farm.cloud.business.mapper.SaleSatisfactionBasicMapper;
import com.nh.farm.cloud.business.mapper.SaleSatisfactionDetailMapper;
import com.nh.farm.cloud.business.mapper.SaleSatisfactionInfoMapper;
import com.nh.farm.cloud.business.service.SaleSatisfactionDetailService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description: 满意度调查填写-明细
 * @author: suyun
 */
@Slf4j
@Service
public class SaleSatisfactionDetailServiceImpl extends ServiceImpl<SaleSatisfactionDetailMapper, SaleSatisfactionDetailPo> implements SaleSatisfactionDetailService {

    @Autowired
    private SaleSatisfactionBasicMapper satisfactionBasicMapper;

    @Autowired
    private SaleSatisfactionInfoMapper satisfactionInfoMapper;

    @Override
    public SaleSatisfactionBasicPo getInfoDetail(SalePageQuery pageQuery) {
        SaleSatisfactionInfoPo satisfactionInfo = satisfactionInfoMapper.selectById(pageQuery.getKid());
        // 第一层级：满意度调查名称
        SaleSatisfactionBasicPo basic = satisfactionBasicMapper.selectById(satisfactionInfo.getSatisfactionBasicId());
        basic.setScore(satisfactionInfo.getScore());
        basic.setResult(satisfactionInfo.getResult());
        basic.setRemark(satisfactionInfo.getRemark());
        // 第二层级：调查内容
        List<SaleSatisfactionBasicPo> topList = satisfactionBasicMapper.selectList(new LambdaQueryWrapper<SaleSatisfactionBasicPo>().eq(SaleSatisfactionBasicPo::getTopId, basic.getKid()));
        topList.forEach(top -> {
            // 第三层级：考评指标
            List<SaleSatisfactionBasicPo> proList = this.baseMapper.getDetail(pageQuery.getKid(), top.getKid());
            top.setDetail(proList);
        });
        basic.setDetail(topList);

        return basic;
    }

}
