package com.nh.farm.cloud.config;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.nh.farm.cloud.util.ServletUtils;
import com.nh.farm.cloud.util.redis.TokenUtil;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

@Component
public class MyMetaObjectHandler implements MetaObjectHandler {

    @Autowired
    private TokenUtil tokenUtil;

    @Override
    public void insertFill(MetaObject metaObject) {
        if(ServletUtils.getRequestAttributes() != null && tokenUtil.getLoginUser(ServletUtils.getRequest()) != null){
            this.setFieldValByName("createBy", tokenUtil.getKid(),metaObject);
            this.setFieldValByName("createByName", tokenUtil.getNickName(),metaObject);
            this.setFieldValByName("createTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("updateBy", tokenUtil.getKid(),metaObject);
            this.setFieldValByName("updateByName", tokenUtil.getNickName(),metaObject);
            this.setFieldValByName("updateTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("version", 1,metaObject);
            this.setFieldValByName("deleted", "1",metaObject);
            this.setFieldValByName("dataFlag", "0",metaObject);
            this.setFieldValByName("operationUser", tokenUtil.getKid(),metaObject);
            this.setFieldValByName("operationTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("operationUserName", tokenUtil.getNickName(),metaObject);
        }else{
            this.setFieldValByName("createBy", " ",metaObject);
            this.setFieldValByName("createByName", " ",metaObject);
            this.setFieldValByName("createTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("updateBy", " ",metaObject);
            this.setFieldValByName("updateByName", " ",metaObject);
            this.setFieldValByName("updateTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("version", 1,metaObject);
            this.setFieldValByName("deleted", "1",metaObject);
            this.setFieldValByName("dataFlag", "0",metaObject);
            this.setFieldValByName("operationUser", " ",metaObject);
            this.setFieldValByName("operationTime", LocalDateTime.now(),metaObject);
            this.setFieldValByName("operationUserName", " ",metaObject);
        }


    }

    @Override
    public void updateFill(MetaObject metaObject) {
        if(ServletUtils.getRequestAttributes() != null && tokenUtil.getLoginUser(ServletUtils.getRequest()) != null){
            this.setFieldValByName("updateBy", tokenUtil.getKid(), metaObject);
            this.setFieldValByName("updateByName", tokenUtil.getNickName(), metaObject);
            this.setFieldValByName("updateTime", LocalDateTime.now(), metaObject);
        }else{
            this.setFieldValByName("updateBy", " ", metaObject);
            this.setFieldValByName("updateByName", " ", metaObject);
            this.setFieldValByName("updateTime", LocalDateTime.now(), metaObject);
        }

        this.setFieldValByName("version", this.getFieldValByName("version", metaObject), metaObject);
    }
}
