package com.nh.farm.cloud.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 判断字符串类型
 * 
 * @author libo
 */
public class CheckChineseUtil {

	//判断字符串是否是汉字
	public static boolean isChinese(String con) {
		for (int i = 0; i < con.length(); i = i + 1) {
			if (!Pattern.compile("[\u4e00-\u9fa5]").matcher(String.valueOf(con.charAt(i))).find()) {
				return false;
			}
		}
		return true;
	}

	//判断是否是中文或英文字母
	public static boolean conValidate(String con) {
		if (null != con && !"".equals(con)) {
			return (isChinese(con) || con.matches("^[A-Za-z]+$")) && con.length() <= 10;
		}
		return false;
	}

	//判断字符串是否是数字
	public static boolean isNumeric(String str) {
		Pattern pattern = Pattern.compile("[0-9]*");
		Matcher isNum = pattern.matcher(str);
		return isNum.matches();
	}

}
