package com.nh.farm.cloud.util;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.ExcelWriter;
import com.alibaba.excel.write.metadata.WriteSheet;
import com.alibaba.excel.write.metadata.style.WriteCellStyle;
import com.alibaba.excel.write.metadata.style.WriteFont;
import oracle.net.ns.NetException;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.Workbook;

import javax.servlet.http.HttpServletResponse;
import java.net.URLEncoder;
import java.util.List;
import java.util.Map;


/**
 * @Author 文件导出
 * @Date 2021/9/14 10:13
 * @Version 1.0
 */
public class ExcelTemplate {

    /**
     * 导出excel  动态生成列 无模板
     * @param head 列集合
     * @param dataList  一行的数据
     * @param response
     * @param fileName  文件名称
     * @throws NetException
     */
    public static void exportExcelDynamicHead(List<List<String>> head, List<List<Object>> dataList, HttpServletResponse response, String fileName) throws NetException {
        ExcelWriter excelWriter;
        try {
            response.setContentType("application/vnd.ms-excel");
            response.setCharacterEncoding("utf-8");
            // 这里URLEncoder.encode可以防止中文乱码 当然和easyExcel没有关系
            String filename = URLEncoder.encode(fileName, "utf-8");
            response.setHeader("Content-disposition", "attachment;filename=" + filename + ".xlsx");
            excelWriter = EasyExcel.write(response.getOutputStream()).build();


            // 创建一个写出的单元格样式对象
            WriteCellStyle headWriteCellStyle = new WriteCellStyle();


            // 创建一个写出的单元格样式对象
            WriteCellStyle contentWriteCellStyle = new WriteCellStyle();

// 边框设置
            contentWriteCellStyle.setBorderTop(BorderStyle.THIN);			 // 设置单元格上边框为细线
            contentWriteCellStyle.setBorderBottom(BorderStyle.THIN);		 // 设置单元格下边框为粗线
            contentWriteCellStyle.setBorderLeft(BorderStyle.THIN);	     // 设置单元格左边框为中线
            contentWriteCellStyle.setBorderRight(BorderStyle.THIN); // 设置单元格右边框为中虚线

// 创建写出Excel的字体对象
            WriteFont contentWriteFont = new WriteFont();
            contentWriteFont.setFontHeightInPoints((short)11);						  //设置字体大小
            contentWriteCellStyle.setHorizontalAlignment(HorizontalAlignment.CENTER); //设置文字居中
            contentWriteCellStyle.setWriteFont(contentWriteFont); 	 // 把字体对象设置到单元格样式对象中


            String sheetName = "Sheet1";
            WriteSheet writeSheet = EasyExcel.writerSheet(sheetName)
                    .head(head)
                    .registerWriteHandler(new CustomWriteHandler())
                    .registerWriteHandler(new CustomHandler(headWriteCellStyle,contentWriteCellStyle))
                    .build();

            excelWriter.write(dataList, writeSheet);
            excelWriter.finish();


        } catch (Exception e) {
            //System.out.println(e.getMessage());
        }
    }



    public static void ExcelTemplate(String fileName, String filePath, List list, Map<String, Object> map, HttpServletResponse response) throws Exception {


        ExcelWriter excelWriter = null;
       // try {
            //   String fileName = s + DateUtils.getStringDate();//导出的文件名称
            response.setContentType("application/vnd.ms-excel");
            response.setCharacterEncoding("utf-8");
            // 这里URLEncoder.encode可以防止中文乱码 当然和easyexcel没有关系
            String filename = URLEncoder.encode(fileName, "utf-8");
            response.setHeader("Content-disposition", "attachment;filename=" + filename + ".xlsx");
            //使用response.getOutputStream()下载,并使用项目下的模板填充
            excelWriter = EasyExcel.write(response.getOutputStream()).withTemplate(filePath).build();


            WriteSheet writeSheet = EasyExcel.writerSheet().build();

            if (map != null) {
                excelWriter.fill(map, writeSheet);//存入map
            }
            if (list != null) {
                excelWriter.fill(list, writeSheet);//存入list
            }
            //   设置强制计算公式：不然公式会以字符串的形式显示在excel中

            Workbook workbook = excelWriter.writeContext().writeWorkbookHolder().getWorkbook();
            workbook.setForceFormulaRecalculation(true);
            excelWriter.finish();


//        } catch (Exception e) {
//            // 重置response
//            response.reset();
//            response.setContentType("application/json");
//            response.setCharacterEncoding("utf-8");
//            return;
//
     }




}
