package com.nh.farm.cloud.util;

import lombok.Data;

import java.util.List;

/**
 * 分页工具类
 */
@Data
public class PageResult {
    /**
     *页数
     */
    private int pageNum;
    /**
     * 每页的信息的个数
     */
    private int pageSize;
    /**
     * 总条数
     */
    private Long total;
    /**
     * 总页数
     */
    private int pages;
    /**
     * 结果集
     */
    private List<?> content;
    /**
     * 返回结果调用的方法
     */
    public static PageResult getPageResult(List content, int page, int limit, Long total) {
        // 创建返回的对象
        PageResult pageResult = new PageResult();
        // 将分页后查询到的结果放入对象中
        pageResult.setContent(content);
        // 将起始页放入对象中
        pageResult.setPageNum(page);
        // 将每页显示的条数放入对象中
        pageResult.setPageSize(limit);
        // 将总条数放入对象中
        pageResult.setTotal(total);
        // 返回结果
        return pageResult;
    }
}
