package com.nh.farm.cloud.util.enums;

import java.util.Objects;

/**
 * 业务操作类型
 * 
 * @author 农业
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER("OPER001", "其它"),

    /**
     * 新增
     */
    INSERT("OPER002", "新增"),

    /**
     * 修改
     */
    UPDATE("OPER003", "修改"),

    /**
     * 删除
     */
    DELETE("OPER004", "删除"),

    /**
     * 授权
     */
    GRANT("OPER005", "授权"),

    /**
     * 导出
     */
    EXPORT("OPER006", "导出"),

    /**
     * 导入
     */
    IMPORT("OPER007", "导入"),

    /**
     * 强退
     */
    FORCE("OPER008", "强退"),

    /**
     * 生成代码
     */
    GENCODE("OPER009", "生成代码"),
;
    private String code;
    private String msg;

    /**
     * Msg string.
     *
     * @return the string
     */
    public String msg() {
        return msg;
    }

    /**
     * Code int.
     *
     * @return the int
     */
    public String code() {
        return code;
    }

    BusinessType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * Gets enum.
     *
     * @param code the code
     *
     * @return the enum
     */
    public static BusinessType getEnum(String code) {
        for (BusinessType ele : BusinessType.values()) {
            if (Objects.equals(ele.code(), code)) {
                return ele;
            }
        }
        return null;
    }
}
