package com.nh.farm.cloud.util.enums;

import java.util.Objects;

/**
 * 操作人类别
 *
 * @author 农业
 */
public enum OperatorType {
    /**
     * 其它
     */
    OTHER("FACILITY001", "其它"),

    /**
     * 后台用户
     */
    MANAGE("FACILITY002", "后台用户"),

    /**
     * 手机端用户
     */
    MOBILE("FACILITY003", "手机端用户");
    private String code;
    private String msg;
    /**
     * Msg string.
     *
     * @return the string
     */
    public String msg() {
        return msg;
    }

    /**
     * Code int.
     *
     * @return the int
     */
    public String code() {
        return code;
    }

    OperatorType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * Gets enum.
     *
     * @param code the code
     *
     * @return the enum
     */
    public static OperatorType getEnum(String code) {
        for (OperatorType ele : OperatorType.values()) {
            if (Objects.equals(ele.code(), code)) {
                return ele;
            }
        }
        return null;
    }
}
