package com.nh.farm.cloud.util.enums;

import java.util.Objects;

/**
 * 业务操作类型
 * 
 * @author 农业
 */
public enum SysTemType
{
    /**
     * 基础系统
     */
    BASIC("SYSTEM001", "基础系统"),

    /**
     * 数据管理系统
     */
    COLLECT("SYSTEM002", "数据管理系统"),

    /**
     * 信息发布系统
     */
    INFO("SYSTEM003", "信息发布系统"),

    /**
     * 数据治理系统
     */
    GOVERNANCE("SYSTEM004", "数据治理系统"),

    /**
     * 数据监测系统
     */
    MONITOR("SYSTEM005", "数据监测系统"),

    /**
     * 转账审批系统
     */
    APPROVAL("SYSTEM006", "转账审批系统"),

    /**
     * 预警系统
     */
    WARN("SYSTEM007", "预警系统"),

    /**
     * 数据分析系统
     */
    ANALYSIS("SYSTEM008", "数据分析系统"),

    /**
     * 财务系统
     */
    FINANCE("SYSTEM009", "财务系统"),

    /**
     * 其它
     */
    OTHER("SYSTEM088", "其它"),

    /**
     * 不建议使用  目前仅查询菜单时使用
     */
    ALL("SYSTEM099", "财务系统"),

;
    private String code;
    private String msg;

    /**
     * Msg string.
     *
     * @return the string
     */
    public String msg() {
        return msg;
    }

    /**
     * Code int.
     *
     * @return the int
     */
    public String code() {
        return code;
    }

    SysTemType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    /**
     * Gets enum.
     *
     * @param code the code
     *
     * @return the enum
     */
    public static SysTemType getEnum(String code) {
        for (SysTemType ele : SysTemType.values()) {
            if (Objects.equals(ele.code(), code)) {
                return ele;
            }
        }
        return null;
    }
}
