package com.nh.farm.cloud.util.excelUtil;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.converters.bigdecimal.BigDecimalNumberConverter;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

import java.math.BigDecimal;

/**
 * @author LiuYu
 * @date 2023/3/28 13:33
 * @description
 */
public class BigDecimalNumberNewConverter extends BigDecimalNumberConverter implements Converter<BigDecimal> {
    @Override
    public BigDecimal convertToJavaData(ReadCellData<?> cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        BigDecimal numberValue = cellData.getNumberValue();
        if (numberValue == null) {
            return BigDecimal.ZERO;
        }
        return new BigDecimal(numberValue.doubleValue());
    }
}
