package com.nh.farm.cloud.util.excelUtil;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;

import java.util.LinkedList;
import java.util.List;
import java.util.function.Consumer;

public class ExcelDemoUtils {
	
	/**
	 * 指定阈值
	 * @param <T>
	 * @param consumer
	 * @param threshold
	 * @return
	 */
	public static <T> AnalysisEventListener<T> getListener(Consumer<List<T>> consumer, int threshold){
		
		
		return new AnalysisEventListener<T>() {
			private LinkedList<T> linkedList = new LinkedList<T>();
			//private int count;
			//int s=threshold-2;
			@Override
			public void invoke(T t , AnalysisContext analysisContext) {
				linkedList.add(t);
				if(linkedList.size() == threshold) {
				
					consumer.accept(linkedList);
					linkedList.clear();
					
				}
			}
			
			@Override
			public void doAfterAllAnalysed(AnalysisContext analysisContext) {
				
				if(linkedList.size()>0) {
					
					consumer.accept(linkedList);
				}
			}
		};
	}
	
	/**
	 * 不指定阈值，阈值默认为10
	 * @param <T>
	 * @param consumer
	 * @return
	 */
	public static <T> AnalysisEventListener<T> getListener(Consumer<List<T>> consumer){
		return getListener(consumer);
	}
}
