package com.nh.farm.cloud.util;

import com.nh.fk.common.base.exception.BusinessException;

import java.text.DecimalFormat;

/**
 * @author hancf
 * @date 2022/8/27
 * @apinote
 */
public class getNumUtil {
    /**
     * 轮次编号生成规则
     * 1、如果当前时间没有核酸轮次，直接新增 ，默认为：HSJC-yyyyMMdd01
     * 2、查询到有核酸轮次，查找当前那一天最大的轮次编号，自增1
     *
     * @param code 当前最大编码
     */
    public static String getNum(String code) {
        String roundCode = "01";
        if (code != null && !code.isEmpty()) {
            int intCode = Integer.parseInt(code) + 1;
            if (intCode < 99) {
                roundCode = String.format(String.valueOf(intCode));
            } else {
                throw new BusinessException("500, 轮次编号达到最大");
            }
        }
        //编号前面补0
        DecimalFormat df = new DecimalFormat("00");
        String newCode = df.format(Integer.parseInt(roundCode));
        return newCode;
    }

    public static String getNo(String code) {
        String roundCode = "0001";
        if (code != null && !code.isEmpty()) {
            int intCode = Integer.parseInt(code) + 1;
            if (intCode < 9999) {
                roundCode = String.format(String.valueOf(intCode));
            } else {
                throw new BusinessException("10000, 轮次编号达到最大");
            }
        }
        //编号前面补0
        DecimalFormat df = new DecimalFormat("0000");
        String newCode = df.format(Integer.parseInt(roundCode));
        return newCode;
    }

}
