package com.nh.farm.cloud.util.ip;

import com.alibaba.fastjson.JSONObject;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.client.RestTemplate;

/**
 * 获取地址类
 * 
 * @author 张德华
 */
public class AddressUtils
{

    // IP地址查询
    public static final String IP_URL = "http://whois.pconline.com.cn/ipJson.jsp";

    // 未知地址
    public static final String UNKNOWN = "XX XX";

    public static String getRealAddressByIP(String ip)
    {
            try
            {
                RestTemplate restTemplate = new RestTemplate();
                String rspStr = restTemplate.getForObject(IP_URL,String.class, "ip=" + ip + "&json=true", "GBK");
                if (StringUtils.isEmpty(rspStr))
                {
                    return UNKNOWN;
                }
                JSONObject obj = JSONObject.parseObject(rspStr);
                String region = obj.getString("pro");
                String city = obj.getString("city");
                return String.format("%s %s", region, city);
            }
            catch (Exception ignored)
            {
            }
        return "不知名的IP";
    }

    public static void main(String[] args) {
        String realAddressByIP = getRealAddressByIP("171.120.211.108");
        System.out.println(realAddressByIP);
    }
}
