package com.nh.farm.cloud.util.returnop;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.nh.fk.common.base.exception.BusinessException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author 张智凯
 * @version 1.0
 * @data 2023/8/14 14:28
 */
@Component
public class JsonUtil {
    @Autowired
    private ObjectMapper objectMapper;

    public String writeValueAsString(Object value){
        try {
            return objectMapper.writeValueAsString(value);
        } catch (JsonProcessingException e) {
            throw new BusinessException(e);
        }
    }


    public <T> T readValue(String content, Class<T> valueType){
        try {
           return objectMapper.readValue(content, valueType);
        } catch (JsonProcessingException e) {
            throw new BusinessException(e);
        }
    }
}
